import ApiModel from "~/models/ApiModel";
import {Num, Str, Uid, Attr} from "pinia-orm/dist/decorators";

/**
 * Ap2i Model : AddressPostal
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Core/AddressPostal.php
 */
export default class AddressPostal extends ApiModel {
  static entity = 'address_postals'

  @Uid()
  declare id: number | string | null

  @Attr(null)
  declare organizationAddressPostalId: number | null

  @Str(null)
  declare addressCountry: string|null

  @Str(null)
  declare addressCity: string|null

  @Str(null)
  declare addressOwner: string|null

  @Str(null)
  declare postalCode: string|null

  @Str(null)
  declare streetAddress: string|null

  @Str(null)
  declare streetAddressSecond: string|null

  @Str(null)
  declare streetAddressThird: string|null

  @Num(0)
  declare latitude: number

  @Num(0)
  declare longitude: number
}
